Subject: [PATCH v8 2/4] hwspinlock/core: add device tree support

From: [email-masked] (Bjorn Andersson)
Date: Thu, 12 Mar 2015 04:05:43 -0700

On Wed 04 Mar 18:01 PST 2015, Suman Anna wrote:

> This patch adds a new OF-friendly API of_hwspin_lock_get_id()
> for hwspinlock clients to use/request locks from a hwspinlock
> device instantiated through a device-tree blob. This new API
> can be used by hwspinlock clients to get the id for a specific
> lock using the phandle + args specifier, so that it can be
> requested using the available hwspin_lock_request_specific()
> API.
> 
> Signed-off-by: Suman Anna <[email-masked]>

Reviewed-by: Bjorn Andersson <[email-masked]>

Regards,
Bjorn